pages:
  image: node:16
  script:
    - npm install
    - npm run build
    - rm -r public
    - mv build public
    - cp public/index.html public/404.html
  artifacts:
    paths:
      - public
  only:
    - master
